Bug 432521 - live usb image boot hangs on eeepc with "usb-storage: waiting for device to settle before scanning"
live usb image boot hangs on eeepc with "usb-storage: waiting for device to s...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 11:14 EST by Orion Poplawski
Modified: 2008-02-20 00:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 22:47:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-02-12 11:14:46 EST
Description of problem:

This is relatively new - a couple of weeks ago this took a few seconds, but it
did continue.  Now it hangs completely.

I'm generating live usb images from current rawhide.  Boot on eeepc (haven't
tried anything else lately) hangs at:

usb-storage: waiting for device to settle before scanning

It appears to find the device fine.

Version-Release number of selected component (if applicable):
2.6.24.1-28.fc9

How reproducible:
Every time.
Comment 1 Pete Zaitcev 2008-02-12 13:10:52 EST
I don't understand "it appears to find the device fine". What "it"?

Why don't you boot without "quiet" on the command line and then
snap a picture?
Comment 2 Orion Poplawski 2008-02-12 15:23:53 EST
"it" being the kernel - earlier on the screen you see the USB device being detected.

Without quiet on the command line I get:

usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
no root yet, udev rule will write symlink...

waiting up to 60 seconds before dropping to emergency shell.
.


and it hangs there.

Tested on another machine and it boots.
Comment 3 Orion Poplawski 2008-02-19 22:47:36 EST
Sorry, this is a side effect of other problems with livecd-creator
Comment 4 Pete Zaitcev 2008-02-20 00:14:56 EST
Glad to hear that. It was a puzzle for me.

Note You need to log in before you can comment on or make changes to this bug.